PIRL.Database

## Class Data_Table

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - PIRL.Database.Data_Table

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible

    public class Data_Table
    extends JPanel

Data_Table manages a JTable for Database_View.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.JPanel

`JPanel.AccessibleJPanel`

### Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

### Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

### Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

### Field Summary

Fields
`static String` `ID` Class identification name with source code version and date.

### Fields inherited from class javax.swing.JComponent

`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`Data_Table()`
`Data_Table(Vector table)`
`Data_Table(Vector table, boolean editable)`
`Data_Table(Vector table, boolean editable, Vector editable_fields)`
`Data_Table(Vector data_values, Vector field_values)`
`Data_Table(Vector data_values, Vector field_values, boolean editable)`
`Data_Table(Vector data_values, Vector field_values, boolean editable, Vector editable_fields)`

### Method Summary

Methods
`void` `Clear_Edited_Cells()`
`void` `Data()`
`void` `Data(Vector table)`
`void` `Data(Vector table, boolean editable)`
`void` `Data(Vector data_values, Vector field_names, boolean editable)`
`void` `Data(Vector data_values, Vector field_names, boolean editable, Vector editable_fields)`
`Color` `Editable_Cell_Color()`
`Color` `Editable_Cell_Color(Color color)`
`void` `Editable(boolean editable)`
`void` `Editable(boolean editable, int field_number)`
`void` `Editable(boolean editable, Vector field_numbers)`
`Color` `Edited_Cell_Color()`
`Color` `Edited_Cell_Color(Color color)`
`Vector` `Edited_Cells()`
`static void` `main(String[] arguments)`
`Color` `Record_Numbers_Color()`
`Color` `Record_Numbers_Color(Color color)`
`void` `setDataVector(Vector data_values, Vector field_names)`
`PIRL.Database.Data_Table_Model` `Table_Model()`
`JTable` `Table_View()`
`Color` `Uneditable_Cell_Color()`
`Color` `Uneditable_Cell_Color(Color color)`

### Methods inherited from class javax.swing.JPanel

`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

Class identification name with source code version and date.

See Also:
  Constant Field Values

### Constructor Detail

#### Data_Table

    public Data_Table(Vector data_values,
              Vector field_values,
              boolean editable,
              Vector editable_fields)

#### Data_Table

    public Data_Table(Vector data_values,
              Vector field_values,
              boolean editable)

#### Data_Table

    public Data_Table(Vector data_values,
              Vector field_values)

#### Data_Table

    public Data_Table(Vector table,
              boolean editable,
              Vector editable_fields)

#### Data_Table

    public Data_Table(Vector table,
              boolean editable)

#### Data_Table

    public Data_Table(Vector table)

#### Data_Table

    public Data_Table()

### Method Detail

#### Table_View

    public JTable Table_View()

#### Table_Model

    public PIRL.Database.Data_Table_Model Table_Model()

#### Data

    public void Data(Vector data_values,
            Vector field_names,
            boolean editable,
            Vector editable_fields)

#### Data

    public void Data(Vector data_values,
            Vector field_names,
            boolean editable)

#### Data

    public void Data(Vector table,
            boolean editable)

#### Data

    public void Data(Vector table)

#### Data

    public void Data()

#### setDataVector

    public void setDataVector(Vector data_values,
                     Vector field_names)

#### Editable

    public void Editable(boolean editable,
                int field_number)

#### Editable

    public void Editable(boolean editable,
                Vector field_numbers)

#### Editable

    public void Editable(boolean editable)

#### Edited_Cells

    public Vector Edited_Cells()

#### Clear_Edited_Cells

    public void Clear_Edited_Cells()

#### Record_Numbers_Color

    public Color Record_Numbers_Color()

#### Record_Numbers_Color

    public Color Record_Numbers_Color(Color color)

#### Uneditable_Cell_Color

    public Color Uneditable_Cell_Color()

#### Uneditable_Cell_Color

    public Color Uneditable_Cell_Color(Color color)

#### Edited_Cell_Color

    public Color Edited_Cell_Color()

#### Edited_Cell_Color

    public Color Edited_Cell_Color(Color color)

#### Editable_Cell_Color

    public Color Editable_Cell_Color()

#### Editable_Cell_Color

    public Color Editable_Cell_Color(Color color)

#### main

    public static void main(String[] arguments)